﻿using System;
using System.Windows;
using System.Windows.Media;
using System.Windows.Shapes;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Loaded += Window_Loaded;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 윈도우 로드시 처리하기 - Window_Loaded(sender, e)

        /// <summary>
        /// 윈도우 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Rect rect = new Rect(200, 100, 360, 280);

            this.canvas.AddEllipse(null, Brushes.Yellow, 10, rect);

            Rectangle rectangle = this.canvas.AddRectangle(null, Brushes.Green, 2, rect);

            rectangle.StrokeDashArray = new DoubleCollection(new double[] { 5, 5 });

            Point point1;
            Point point2;

            this.canvas.AddArc
            (
                null,
                Brushes.Red,
                2,
                rect,
                0.25 * Math.PI,
                Math.PI,
                true,
                SweepDirection.Counterclockwise,
                out point1,
                out point2
            );

            this.canvas.AddArc
            (
                null,
                Brushes.Blue,
                2,
                rect,
                0.25 * Math.PI,
                Math.PI,
                false,
                SweepDirection.Clockwise,
                out point1,
                out point2
            );

            Path path1 = this.canvas.AddArc
            (
                null,
                Brushes.Red,
                2,
                rect,
                0.25 * Math.PI,
                Math.PI,
                false,
                SweepDirection.Counterclockwise,
                out point1,
                out point2
            );

            path1.StrokeDashArray = new DoubleCollection(new double[] { 5, 5 });

            Path path2 = this.canvas.AddArc
            (
                null,
                Brushes.Blue,
                2,
                rect,
                0.25 * Math.PI,
                Math.PI,
                true,
                SweepDirection.Clockwise,
                out point1,
                out point2
            );

            path2.StrokeDashArray = new DoubleCollection(new double[] { 5, 5 });

            this.canvas.AddPoint(Brushes.White, Brushes.Black, 1, point1, 6);
            this.canvas.AddPoint(Brushes.White, Brushes.Black, 1, point2, 6);
        }

        #endregion
    }
}